Unable to update the system

I installed today Garuda Linux and after the installation I try to update the System via the Setup-Assistant, but it doesn't work. I tried it now for a few times. I tried using the sudo pacman -Syu command, but this also didn't work.

Post log of sudo pacman -Syu attempt as text please.

Welcome to the Garuda forum.

1 Like

Use forum search function first and read

please
and post

inxi -Fxxxza

as text!

Even if you personally think it is unnecessary.

and
:slight_smile:

1 Like

It works until this message and it doesn't matter if i press j or n it's just ending the process with updating anything.
(it's in German)

Datei /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] J
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

and here is the output of inxi -Fxxxza

System:    Kernel: 5.12.1-zen2-1-zen x86_64 bits: 64 compiler: gcc v: 10.2.0 
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen root=UUID=1aaad0d0-e1fc-4f06-bec2-34efab3c2314 
rw [email protected] quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0 
systemd.unified_cgroup_hierarchy=1 loglevel=3 
Desktop: KDE Plasma 5.21.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11 vt: 1 dm: SDDM 
Distro: Garuda Linux base: Arch Linux 
Machine:   Type: Desktop System: Gigabyte product: A320M-S2H v: N/A serial: <filter> 
Mobo: Gigabyte model: A320M-S2H-CF v: x.x serial: <filter> UEFI: American Megatrends v: F23 
date: 08/08/2018 
CPU:       Info: Quad Core model: AMD Ryzen 5 2400G with Radeon Vega Graphics bits: 64 type: MT MCP 
arch: Zen family: 17 (23) model-id: 11 (17) stepping: 0 microcode: 810100B cache: L2: 2 MiB 
flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm bogomips: 57490 
Speed: 1416 MHz min/max: 1600/3600 MHz boost: enabled Core speeds (MHz): 1: 1416 2: 1587 
3: 2939 4: 1704 5: 1753 6: 1416 7: 1446 8: 1593 
Vulnerabilities: Type: itlb_multihit status: Not affected 
Type: l1tf status: Not affected 
Type: mds status: Not affected 
Type: meltdown status: Not affected 
Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via prctl and seccomp 
Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer sanitization 
Type: spectre_v2 
mitigation: Full AMD retpoline, IBPB: conditional, STIBP: disabled, RSB filling 
Type: srbds status: Not affected 
Type: tsx_async_abort status: Not affected 
Graphics:  Device-1: AMD Ellesmere [Radeon RX 470/480/570/570X/580/580X/590] vendor: Gigabyte 
driver: amdgpu v: kernel bus-ID: 01:00.0 chip-ID: 1002:67df class-ID: 0300 
Display: x11 server: X.Org 1.20.11 compositor: kwin_x11 driver: loaded: amdgpu,ati 
unloaded: modesetting alternate: fbdev,vesa display-ID: :0 screens: 1 
Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2") s-diag: 582mm (22.9") 
Monitor-1: HDMI-A-0 res: 1920x1080 hz: 60 dpi: 102 size: 480x270mm (18.9x10.6") 
diag: 551mm (21.7") 
OpenGL: renderer: Radeon RX 590 Series (POLARIS10 DRM 3.40.0 5.12.1-zen2-1-zen LLVM 11.1.0) 
v: 4.6 Mesa 21.0.3 direct render: Yes 
Audio:     Device-1: AMD Ellesmere HDMI Audio [Radeon RX 470/480 / 570/580/590] vendor: Gigabyte 
driver: snd_hda_intel v: kernel bus-ID: 01:00.1 chip-ID: 1002:aaf0 class-ID: 0403 
Device-2: AMD Family 17h HD Audio vendor: Gigabyte driver: snd_hda_intel v: kernel 
bus-ID: 08:00.6 chip-ID: 1022:15e3 class-ID: 0403 
Device-3: C-Media TONOR TC30 Audio Device type: USB driver: hid-generic,snd-usb-audio,usbhid 
bus-ID: 3-3:3 chip-ID: 0d8c:0134 class-ID: 0300 serial: <filter> 
Sound Server-1: ALSA v: k5.12.1-zen2-1-zen running: yes 
Sound Server-2: JACK v: 0.125.0 running: no 
Sound Server-3: PulseAudio v: 14.2 running: yes 
Sound Server-4: PipeWire v: 0.3.27 running: yes 
Network:   Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Gigabyte driver: r8169 
v: kernel port: e000 bus-ID: 07:00.0 chip-ID: 10ec:8168 class-ID: 0200 
IF: enp7s0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Bluetooth: Device-1: Realtek Bluetooth Radio type: USB driver: btusb v: 0.8 bus-ID: 1-6:3 
chip-ID: 0bda:8771 class-ID: e001 serial: <filter> 
Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: N/A 
Drives:    Local Storage: total: 1.05 TiB used: 21.17 GiB (2.0%) 
SMART Message: Unable to run smartctl. Root privileges required. 
ID-1: /dev/sda maj-min: 8:0 vendor: PNY model: CS900 120GB SSD size: 111.79 GiB block-size: 
physical: 512 B logical: 512 B speed: 6.0 Gb/s rotation: SSD serial: <filter> rev: 0612 
scheme: GPT 
ID-2: /dev/sdb maj-min: 8:16 vendor: Toshiba model: HDWD110 size: 931.51 GiB block-size: 
physical: 4096 B logical: 512 B speed: 6.0 Gb/s rotation: 7200 rpm serial: <filter> rev: A8R0 
scheme: MBR 
ID-3: /dev/sdc maj-min: 8:32 type: USB vendor: SanDisk model: Ultra size: 28.64 GiB block-size: 
physical: 512 B logical: 512 B serial: <filter> rev: 1.00 scheme: MBR 
SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
Partition: ID-1: / raw-size: 111.54 GiB size: 111.54 GiB (100.00%) used: 21.17 GiB (19.0%) fs: btrfs
dev: /dev/sda2 maj-min: 8:2
ID-2: /boot/efi raw-size: 256 MiB size: 252 MiB (98.46%) used: 546 KiB (0.2%) fs: vfat
dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 111.54 GiB size: 111.54 GiB (100.00%) used: 21.17 GiB (19.0%) fs: btrfs
dev: /dev/sda2 maj-min: 8:2
ID-4: /var/log raw-size: 111.54 GiB size: 111.54 GiB (100.00%) used: 21.17 GiB (19.0%)
fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-5: /var/tmp raw-size: 111.54 GiB size: 111.54 GiB (100.00%) used: 21.17 GiB (19.0%)
fs: btrfs dev: /dev/sda2 maj-min: 8:2
Swap:      Kernel: swappiness: 10 (default 60) cache-pressure: 75 (default 100)
ID-1: swap-1 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram0
ID-2: swap-2 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram1
ID-3: swap-3 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram2
ID-4: swap-4 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram3
ID-5: swap-5 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram4
ID-6: swap-6 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram5
ID-7: swap-7 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram6
ID-8: swap-8 type: zram size: 1.95 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram7
Sensors:   System Temperatures: cpu: 45.0 C mobo: 0 C gpu: amdgpu temp: 54.0 C
Fan Speeds (RPM): N/A gpu: amdgpu fan: 809
Info:      Processes: 292 Uptime: 49m wakeups: 0 Memory: 15.64 GiB used: 3.55 GiB (22.7%) Init: systemd
v: 248 tool: systemctl Compilers: gcc: 10.2.0 clang: 11.1.0 Packages: pacman: 1628 lib: 505
Shell: fish v: 3.2.1 default: Zsh v: 5.8 running-in: konsole inxi: 3.3.04
goverlay-git
pacman -Qi goverlay-git
Name                     : goverlay-git
Version                  : 0.5.r8.gc9a48ef-1
Beschreibung             : A GUI to help manage Vulkan/OpenGL overlays
Architektur              : x86_64
URL                      : https://github.com/benjamimgois/goverlay
Lizenzen                 : GPL3
Gruppen                  : Nichts
Stellt bereit            : goverlay
Hängt ab von             : qt5pas
Optionale Abhängigkeiten : mangohud: Configure MangoHUD [Installiert]
                           vkbasalt: Configure vkBasalt [Installiert]
                           mesa-demos: OpenGL preview [Installiert]
                           vulkan-tools: Vulkan preview [Installiert]
                           git: Clone reshade repository [Installiert]
                           replay-sorcery: Instant replay solution [Installiert]
Benötigt von             : Nichts
Optional fĂĽr             : Nichts
In Konflikt mit          : goverlay
Ersetzt                  : Nichts
Installationsgröße       : 10,21 MiB
Packer                   : Pedro Henrique Lara Campos <[email protected]>
Erstellt am              : Fr 07 Mai 2021 19:03:13 CEST
Installiert am           : So 09 Mai 2021 14:36:10 CEST
Installationsgrund       : AusdrĂĽcklich installiert
Installations-Skript     : Nein
Verifiziert durch        : Signatur

Try

sudo rm /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst
sudo pacman -Syu goverlay-git

So I tried the command and got

rm: das Entfernen von '/var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst' ist nicht möglich: Datei oder Verzeichnis nicht gefunden
sudo pacman -Syu goverlay-git --overwrite "*"

I still have the same problem

Datei /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n]

(doesn't matter if I press j or n)

Always post in and output from terminal.

Fehler: goverlay-git: Signatur von "Pedro Henrique Lara Campos <[email protected]>" ist ungĂĽltig
:: Datei /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] 

Could you please preface your terminal command with:

 LANG=C

This way English speaking members can read your terminal outputs (unless you want to move this thread to the German sub-forum).

1 Like
Error: goverlay-git: signature of "Pedro Henrique Lara Campos <[email protected]>" is invalid.
:: File /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst is damaged (Invalid or damaged package (PGP signature)).
Should the file be removed? Y/n

So I changed the language to English and now got another error message

sudo pacman -Syu
[sudo] password for bond:
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
error: failed retrieving file 'chaotic-aur.db' from random-mirror.chaotic.cx : Could not resolve host: chaotic.ptr1337.dev
chaotic-aur is up to date
error: target not found: n
error: target not found: n
1 Like

Try

upd
1 Like

Now I have the other error message again

error: goverlay-git: signature from "Pedro Henrique Lara Campos <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/goverlay-git-0.5.r8.gc9a48ef-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] Y
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Given this is a -git package in ChaoticAUR I wonder if it's just another broken signature...

Is there a reason for using the -git package here?

1 Like

I just tried to update the System and every time I try this error message comes and I don't know why the -git package is used

1 Like

A post was split to a new topic: Error saying that my packages are corrupted (either invalid or corrupted)